%% Gibbs sampling from a bivariate normal distribution

%% clean the workspace
clear all; % remove all variables, functions, and MEX-files from memory, leaving the workspace empty
close all; % delete all figures whose handles are not hidden.
clc; % clear command window 

%% Initialize the parameters
% bivariate normal N([mu1 mu2],[sigma1^2 sigma2^2],rho)
mu = [0.0 0.0]; % mean vector x,y
sigma = [1.0 1.0]; % standard deviation x,y
rho = 0.9; %  correlation coefficient 
x0 = 1.0; % Initial x-coordinate
y0 = 1.0; % Initial y-coordinate
iterations = 5000; % number of iterations


%% Implement Gibbs sampling
samples = GibbsSamplingBN(mu,sigma, rho, x0, y0, iterations);


%% Plot the  result
plot(samples(:,1),samples(:,2),'ko');
% adjst the axis
ax = axis;
axAdjust= [min(ax(1),ax(2)) max(ax(2),ax(4))];
axis([axAdjust axAdjust]);
xlabel('x');
ylabel('y');

