%% Gibbs sampling

%% clean the workspace
clear all; % remove all variables, functions, and MEX-files from memory, leaving the workspace empty
close all; % delete all figures whose handles are not hidden.
clc; % clear command window 

% The number of iterations
% Try other number, if you want.
iterations = 50000;

%% Implement Gibbs sampling
[ expectedSpeed, xSample, ySample ] = GibbsSampling(iterations);

message = sprintf('Gibbs sampling - estimation results\n\n\tThe expected speed of pedestrians: %f m/s', expectedSpeed);
disp(message);

% Plot the  result
plot(1:iterations, xSample, 'g')
hold on
plot(1:iterations, ySample, 'r')
hold off
xlabel('Iteration')
legend('X', 'Y')
